<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->

<meta name="generator" content="HTML Tidy for tsWebEditor (www.tswebeditor.tk) (vers 4 July 2006), see www.w3.org" /><title>Adding Users and Assigning Roles</title>

<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Jens Mittelbach" name="DC.creator" />
<meta content="2008-11-20T16:56:37.74" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" /></head>
<body>
<h1 id="toc0">Adding Users and Assigning Roles</h1>
<p>When a new project has been created, project users can be
added and roles can be assigned to them.</p>
<p>The <em>User and Project Management</em> module
can be accessed:</p>
<ol>
<li>
<p>by clicking on the <em>Users/Roles</em>
button in the create project dialogue (cf. <a href="newProject.html">Creating
a New Project</a>): </p>
<div class="frameFrame" id="Rahmen27Cframe">
<div> <img alt="Figure 2" class="frameGraphics" id="Figure27Cgraphics" src="newProject-img2.png" /> </div>
<p class="Figure">Figure: Create project dialogue</p>
</div>
</li>
<li>
<p>by clicking on the <em>Project &amp; User
Management</em>
icon in the <em>Welcome Screen</em>:</p>
<div> <img alt="Project and Usaer Management icon" class="frameGraphics" id="Grafik17Cgraphics" src="addingUsers-img1.png" /> </div>
</li>
<li>or, when the <em>Welcome
Screen</em> is not active, by clicking on the <em>Project
and User Management</em> icon <img alt="Project and User Management icon in tool bar" id="ProjectUsericoninToolBar7Cgraphics" src="../navigator/open-img0.png" /> in the tool bar of <em>TextGridLab</em>:
.
</li>
<li>or, when the <em>Welcome
Screen</em> is not active, by selecting "Project/User Management"
in the menu bar of <em>TextGridLab</em>:
<div class="frameFrame" id="Rahmen66Cframe">
<div> <img alt="Project and User Management icon in tool bar" class="frameGraphics" id="ProjectUsericoninToolBar7Cgraphics" src="../navigator/open-img1.png" />.
</div>
<p class="Figure">Figure: Accessing the Project and
User Management via the menu bar</p>
</div>
</li>
</ol>
<p>In the <em>User and Project Management</em>
module, three <em>views</em> are enabled by default:</p>
<ol>
<li>
<p>the <em>Navigator</em> view lists all
projects the current user is entitled to view or edit,</p>
</li>
<li>
<p>the <em>User Management</em> view lets you
add users and assign roles,</p>
</li>
<li>
<p>the <em>Role Help</em> view provides help on
roles and access rights attached to them.</p>
</li>
</ol>
<div class="frameFrame" id="Rahmen17Cframe">
<div> <img alt="TextGridLab: Project and User Management" class="frameGraphics" id="TextGridLabProjectandUserManagement7Cgraphics" src="addingUsers-img2.png" /> </div>
<p class="Figure">Figure: TextGridLab -
Project and User Management module</p>
</div>
<p class="NoteP"><span class="Note">Note:</span>
The workspace can be adapted
to individual needs. For disabling, enabling and arranging views or
resetting the arrangement of views within a perspective
see <a href="../../../org.eclipse.platform.doc.user/gettingStarted/qs-02e.htm"><em>Editors and Views</em></a> in the Workbench documentation.</p>
<p>In order to manage a project, select it in the <em>Navigator</em>
view by left-clicking. The users associated with this project are shown
in the <em>User Management</em> view. Add a new user by
filling the TextGrid User ID in the field <em>User ID</em>.</p>
<p class="NoteP"><span class="Note">Note:</span><span class="Note">
</span>Please refer to the users you want to add to your project for their
User IDs. The TextGrid User ID is shown in the <em>Welcome Screen</em>
after logging
in. It can also be retrieved by selecting &nbsp;“Help” in the
menubar and left-clicking “Authentication”.</p>
<p class="NoteP"><span class="Note">Note:</span>
Users to be selected must previously have logged in to <em>TextGridLab</em>
at
least once.</p>
<p>There are four possible roles for users in TextGrid. Each role
is invested with a set of non-hierarchical rights regarding resources
and projects in TextGrid:</p>
<ol>
<li>
<p><em>Project Leader</em> → Delegate, create
rights for projects; delegate, publish rights for resources (<em>Project
Leader</em> is the default role for the creator of a new project).</p>
</li>
<li>
<p><em>Administrator</em> → Delete rights for
resources.</p>
</li>
<li>
<p><em>Editor</em> → Read, write rights for
resources.</p>
</li>
<li>
<p><em>Observer</em> → Read rights for resources.</p>
</li>
</ol>
<p class="Standard"></p>
<table id="Tabelle17Ctable" cellspacing="0">
<tbody>
<tr>
<th></th>
<th>
<p class="TableContents">Project Rights</p>
</th>
<th>
<p class="TableContents">Resource Rights</p>
</th>
</tr>
<tr>
<th>
<p class="TableContents">Delegate</p>
</th>
<td>
<p class="TableContents">Edit the user/role
assignment for the project.</p>
</td>
<td>
<p class="TableContents">Modify rights for the
resource.</p>
</td>
</tr>
<tr>
<th>
<p class="TableContents">Publish</p>
</th>
<td></td>
<td>
<p class="TableContents">Publish a resource. The
resource will be then world-readable and cannot be deleted or updated
anymore.</p>
</td>
</tr>
<tr>
<th>
<p class="TableContents">Delete</p>
</th>
<td></td>
<td>
<p class="TableContents">Delete unpublished
resources (currently not implemented).</p>
</td>
</tr>
<tr>
<th>
<p class="TableContents">Create</p>
</th>
<td>
<p class="TableContents">Create new projects.</p>
</td>
<td>
<p class="TableContents">Create new resources in the
project.</p>
</td>
</tr>
<tr>
<th>
<p class="TableContents">Write</p>
</th>
<td></td>
<td>
<p class="TableContents">Write (i.e. update)
unpublished resources.</p>
</td>
</tr>
<tr>
<th>
<p class="TableContents">Read</p>
</th>
<td></td>
<td>
<p class="TableContents">Read resources in the
project.</p>
</td>
</tr>
</tbody>
</table>
<p class="Diagramme">Diagram: Rights in TextGrid</p>
<p>Select a role for the new user in the dropdown menu below the <em>User
ID</em> field and click on the <em>Add</em> button.
The user can now be assigned additional roles. Select the user in the
list of existing users, choose a role from the dropdown menu below the
list and click on the button <em>Give User(s) a Role.</em></p>
<p class="NoteP"><span class="Note">Note:</span><span class="Note">
</span>Rights in TextGrid are
non-hierarchical. Thus, if users are meant to have full rights they
must be assigned the roles <em>Project Leader</em>, <em>Administrator</em>
and <em>Editor</em>.</p>
</body></html>